Se connecter / S'enregistrer
Votre question

Erreur de segmentation !

Tags :
  • voip
  • Logiciels
Dernière réponse : dans Logiciels
20 Mars 2007 09:11:43

Je désire utiliser le logiciel "authtool" [http://www.hackingvoip.com/tools/authtool.tar.gz] me permettant de tester la sécurité d'une ligne VoIP.

Décompression : OK

Compilation :
gcc -c md5c.c
gcc -D_REENTRANT authtool.c md5c.o -o authtool
authtool.c: In function ‘foundRequest’:
authtool.c:287: warning: incompatible implicit declaration of built-in function ‘strndup’
authtool.c: In function ‘foundFrom’:
authtool.c:378: warning: incompatible implicit declaration of built-in function
‘strndup’
authtool.c: In function ‘foundAuthorization’:
authtool.c:505: warning: incompatible implicit declaration of built-in function
‘strndup’

Execution :
./authtool ../../../traces/register_invite_rtp -d ../../../traces/dico
Erreur de segmentation

Je voudrai savoir si le problème vient du soft, ou de ma machine.
Que dois-je faire pour parvenir à le faire fonctionner.

Merci d'avance pour vos réponses.

Autres pages sur : erreur segmentation

20 Mars 2007 11:18:26

dans tous les cas, ca vient du soft, maintenant, c'est peut etre à cause des options que tu lui passes et qu'il interprete mal.

en plus dans les sources, il doit y avoir une librairie non déclarée (cf warning)

regarde si tu peux le lancer avec des options de test pour voir s'il fonctionne
sinon, il va te falloir rentrer dans le code :) 
Tom's guide dans le monde
  • Allemagne
  • Italie
  • Irlande
  • Royaume Uni
  • Etats Unis
Suivre Tom's Guide
Inscrivez-vous à la Newsletter
  • ajouter à twitter
  • ajouter à facebook
  • ajouter un flux RSS